ELK APM server not working


(Mishal) #1

Error: Elastic APM server is not available. (It seems like you are using a version of the APM server which isn't compatible with this agent. Please use APM server 6.5 or newer. ).

But from what I have researched so far, APM server 6.5 is not yet released. I am using ELK APM API for monitoring Vert.x application.

Is there something I might be missing out?


(Felix Barnsteiner) #2

Version 6.5 is not released yet (but will be very soon).

See this post on how to test with a pre-build of the APM Server: Java agent 1.0.0 Release Candidate ready for testing

The Java agent currently does not support Vert.x applications, unfortunately. Check out the supported web technologies to see what's currently supported. You can also vote for Vert.x support in the survey we put up.


(Mishal) #3

Hi @felixbarny

We are on platinum support and it is our critical requirement to monitor our vert.x applications in production. Can you please add support for vert.x applications as soon as possible.

Thanks


(Felix Barnsteiner) #4

Vert.x is on our radar, but no concrete plans as of this time.


(system) #5

This topic was automatically closed 20 days after the last reply. New replies are no longer allowed.